Subject: Re: linux-next: build failure after merge of the dma-mapping-fixes tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 8 Aug 2019 00:37:22 +0200

On Thu, Aug 08, 2019 at 08:29:48AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the dma-mapping-fixes tree, today's linux-next build
> (x86_64 allmodconfig) failed like this:
> 
> /home/sfr/next/next/mm/migrate.c: In function 'migrate_vma_collect':
> /home/sfr/next/next/mm/migrate.c:2350:61: error: 'mm_walk' undeclared (first use in this function)
>   mmu_notifier_range_init(&range, MMU_NOTIFY_CLEAR, 0, NULL, mm_walk.mm,
>                                                              ^~~~~~~
> 
> Caused by commit
> 
>   f4c1f66bf710 ("pagewalk: seperate function pointers from iterator data")
> 
> I have applied the following patch for today:

That commit should not have been in that tree at all, let me check what
went wrong.